#!/usr/bin/env python
# DT Home
#  Package
#
# Douglas Thrift
#
# pkg.py

import pip
import platform

pkg = lambda args: sys.exit(pip.main(args))

# Only use PyPM on 32bit ActivePython since 64bit requires a Business License
if platform.system() == 'Windows' and platform.machine() == 'x86':
    try:
        import pypm

        pkg = lambda args: pypm.cmd(['-g'] + args)
    except ImportError:
        pass

if __name__ == '__main__':
    import sys

    pkg(sys.argv[1:])
